#!/usr/bin/env python
#
# Copyright (C) 2003-2004 Hye-Shik Chang <perky@FreeBSD.org>.
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the distribution.
#
# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR
# IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
# WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
# DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT,
# INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
# (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR
# SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
# HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT,
# STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING
# IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
# POSSIBILITY OF SUCH DAMAGE.
#
# $Perky: anonfunc/setup.py,v 1.2 2004/01/03 13:26:19 perky Exp $
#

import sys
from distutils.core import setup, Extension
from distutils.command.install import install

if sys.hexversion < 0x2030000:
    print >> sys.stderr, "=>> anonfunc requires Python 2.3."
    raise SystemExit

class Install(install):
    def initialize_options (self):
        install.initialize_options(self)
        self.extra_path = ("anonfunc", "import anonfuncalias")
    def finalize_options (self):
        org_install_lib = self.install_lib
        install.finalize_options(self)
        self.install_libbase = self.install_lib = \
            org_install_lib or self.install_purelib

setup (name = "anonfunc",
       version = "1.0",
       description = "Proxy object that creates anonymous function",
       author = "Hye-Shik Chang",
       author_email = "perky@FreeBSD.org",
       license = "BSD Style (without advertisement clause)",
       cmdclass = {'install': Install},
       py_modules = ['anonfuncalias'],
       ext_modules = [Extension("anonfunc", ["anonfunc.c"])]
       )

# ex: ts=8 sts=4 sw=4 et
